ActiveRepairService.Status (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.service

## Enum ActiveRepairService.Status

- java.lang.Object
- - java.lang.Enum<ActiveRepairService.Status>
  - - org.apache.cassandra.service.ActiveRepairService.Status

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ActiveRepairService.Status>
  Enclosing class:
    ActiveRepairService

      public static enum ActiveRepairService.Status
      extends java.lang.Enum<ActiveRepairService.Status>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FINISHED`
    `SESSION_FAILED`
    `SESSION_SUCCESS`
    `STARTED`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ActiveRepairService.Status` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ActiveRepairService.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STARTED

          public static final ActiveRepairService.Status STARTED

    - #### SESSION_SUCCESS

          public static final ActiveRepairService.Status SESSION_SUCCESS

    - #### SESSION_FAILED

          public static final ActiveRepairService.Status SESSION_FAILED

    - #### FINISHED

          public static final ActiveRepairService.Status FINISHED

  - ### Method Detail

    - #### values

          public static ActiveRepairService.Status[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ActiveRepairService.Status c : ActiveRepairService.Status.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ActiveRepairService.Status valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2014 The Apache Software Foundation